#!/bin/sh
#
# $Id: installjdbc2xml.sh 346 2013-10-04 13:29:16Z jdbc2xml $
#
# License: Apache License, Version 2.0
#
#
# Install symbolic links for jdbc2xml.
#
# Usage: installjdbc2xml <target>
#
# target is the directory, where to install symbolic links to.
#

# This code is copied from maven's mvn startup script.
if [ -z "$JDBC2XML_HOME" ] ; then
  ## resolve links - $0 may be a link to jdbc2xml's home
  PRG="$0"

  # need this for relative symlinks
  while [ -h "$PRG" ] ; do
    ls=`ls -ld "$PRG"`
    link=`expr "$ls" : '.*-> \(.*\)$'`
    if expr "$link" : '/.*' > /dev/null; then
      PRG="$link"
    else
      PRG="`dirname "$PRG"`/$link"
    fi
  done

  saveddir=`pwd`

  JDBC2XML_HOME=`dirname "$PRG"`/..

  # make it fully qualified
  JDBC2XML_HOME=`cd "$JDBC2XML_HOME" && pwd`

  cd "$saveddir"
fi

target=

if test $# -lt 1
then
    echo -n 'In which directory do you want to symlink the jdb2xml binaries [/usr/bin]: '
    target=`line`
fi

if test "$target" = ""
then
    target=/usr/bin
fi

if test ! -d $target
then
    echo "The specified target [$target] is not a directory."
    exit 1
fi

# let's separate link names (no .sh) and assembly stuff (with .sh)
test -e $JDBC2XML_HOME/bin/jdbc2xml && rm $JDBC2XML_HOME/bin/jdbc2xml
test -e $JDBC2XML_HOME/bin/installjdbc2xml && rm $JDBC2XML_HOME/bin/installjdbc2xml

for alias in jdbc2xml xml2jdbc jdbc2jdbc xml2xml jdbcping jdbcextr
do
     echo "creating symlink $target/$alias -> $JDBC2XML_HOME/bin/jdbc2xml.sh"
     ln -sf $JDBC2XML_HOME/bin/jdbc2xml.sh $target/$alias
done

# make it world-readable and executable
chmod -R ugo+r $JDBC2XML_HOME
chmod ugo+x $JDBC2XML_HOME $JDBC2XML_HOME/conf $JDBC2XML_HOME/bin $JDBC2XML_HOME/bin/*.sh $JDBC2XML_HOME/lib  
